%global         momorel 6

Name:           perl-Video-Capture-V4l
Version:        0.902
Release:        %{momorel}m%{?dist}
Summary:        Video::Capture::V4l Perl module
License:        "Distributable, see COPYING"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Video-Capture-V4l/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/Video-Capture-V4l-%{version}.tar.gz
NoSource:       0
Patch0:         v4l2.patch
Patch1:         bashism.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libv4l-devel
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Obsoletes:      perl-Video-Frequencies
Provides:       perl-Video-Frequencies

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
NAME    Video::Capture::V4l - Perl interface to the Video4linux
framegrabber    interface.

%prep
%setup -q -n Video-Capture-V4l-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING README TODO
%{perl_vendorarch}/auto/Video/Capture
%{perl_vendorarch}/auto/Video/RTjpeg
%{perl_vendorarch}/Video/Capture
%{perl_vendorarch}/Video/Frequencies.pm
%{perl_vendorarch}/Video/RTjpeg.pm
%{perl_vendorarch}/Video/XawTV.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.902-6m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.902-5m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.902-4m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.902-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.902-2m)
- rebuild against perl-5.16.3

* Thu Dec 13 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.902-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
